AutoDesk Maya 2012 (Ubuntu 10.04)

I was trying to install Maya 2012 in Ubuntu 10.04 .There where lots of errors but I fixed it . I thought of sharing the way I have done.

Maya Hotfix 1 Link http://usa.autodesk.com/adsk/servlet/ps/dl/item?siteID=123112&id=16935849&linkID=9242259
Crack Link http://depositfiles.com/es/files/yxwfmadz2

1 : make sure you have rpm2cpio installed else install from software center or apt-get install rpm2cpio
2 : cd to your maya source folder
3 : rpm2cpio Maya2012_0_64-2012.0-235.x86_64.rpm | cpio -idmvu
4 : rpm2cpio adlmapps4-4.0.35-0.x86_64.rpm | cpio -idmvu
5 : rpm2cpio adlmflexnetclient-4.0.35-0.x86_64.rpm | cpio -idmvu
6 : rpm2cpio adlmflexnetserver-4.0.35-0.x86_64.rpm | cpio -idmvu
7 : cp -R opt/* /opt
8 : cp -R usr/* /usr/
9 : cp -R var/* /var/
10 : sh -c “echo ‘setenv LC_ALL en_US.UTF-8’ >> /usr/autodesk/maya2012-x64/bin/maya2012”
11 : /usr/autodesk/maya2012-x64/bin/licensechooser /usr/autodesk/maya2012-x64/ standalone unlimited
12 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmPIT.so.4 /usr/lib
13 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmPIT.so.4 /usr/lib
14 : /usr/autodesk/maya2012-x64/bin/adlmreg -i S 657D1 657C1 2012.0.0.F 666-42943644 /var/opt/Autodesk/Adlm/Maya2012/MayaConfig.pit

15 : cd /tmp/crack
16 : ./crack2012
17 : cd /usr/autodesk/maya2012-x64/bin
18 : ln -s /usr/lib/libssl.so.0.9.8 /usr/lib/libssl.so.6
19 : export MAYA_LOCATION=/usr/autodesk/maya2012-x64/
20 : cp /usr/autodesk/maya2012-x64/lib/libCg.so /usr/lib
21 : cp /usr/autodesk/maya2012-x64/lib/libCgGL.so /usr/lib
22 : ./adlmreg -u N 657D1 2012.0.0.F
23 : cd /tmp/autodesk_maya_2012_hotfix1_linux_64bit
24 : ./setup
25 : After opening this use this key in the setup window
serial :666-42943644
product key :657D1
Then next , then it will fail with rpm error never mind that error just give continue . Then finish
26 : cd /usr/autodesk/maya2012-x64/bin
27 : ./maya2012

If anyone want help to install DDM or Craft Tools then let me know 🙂

NB : I am not supporting cracking any software , If you like the software please buy it and support the developers .

  1. Thanks for this great installation guide.. but can you please give the link to download the maya package for ubuntu.. or which ever version you use..

    • അച്ചായന്‍
    • May 21st, 2011 4:45am

    Hi You have the link there in the post itself , thats a tar file , just download and extract it .

  2. Dear Achaya,

    ഒരു ലിനക്സ് പുലിയെ തപ്പിനടക്കുകയായിരുന്നു. കിട്ടിയതില്‍ സന്തോഷം

    എന്റെ കയ്യിലെ പഴയ കോമ്പാക്ക് ലാപ്ടോപ്പിന്റെ വിസ്റ്റയുടെ വെടി തീര്ന്നപ്പോള്‍ ഉബുണ്ടു ഇന്സ്റ്റാള്‍ ചെയ്തു. നന്നായി പ്രവര്ത്തിക്കുന്നുണ്ട്.
    പക്ഷെ പണ്ട് “കമ്പ്യൂട്ടേഴ്സ് ഇന്‍ മെഡിസിന്‍” എന്ന പരീക്ഷ പാസാകാന്‍ വേണ്ടി മാത്രം യശ്വന്ത് കനിത്കറിന്റെ ലെറ്റ് അസ് സി തലയിണയാക്കി വച്ചവന്‍ എന്ന നിലക്ക് പ്രോഗ്രാമിങ് വിവരം കമ്മിയായതിനാല്‍ ഇനി എന്തു ചെയ്യണം എന്നറിയാതെ വിഷമിക്കുന്നു.

    ഒന്നു രണ്ട് എളിയ ആഗ്രഹങ്ങള്‍ ഉണ്ട്.
    1. മലയാളം വ്റിത്തിയായി എഴുതാന്‍ പറ്റുന്ന വല്ല കീമാനും കിട്ടിയാല്‍ പെരുത്ത് സന്തോഷം.
    (ഉബുണ്ടു അപ്ഡേറ്റ് ചെയ്ത് 11+ ആക്കിയതില്‍ പിന്നെ പണ്ടത്തെ ഇന്സ്ക്രിപ്റ്റ് പരിപാടി നടക്കുന്നില്ല.)

    2. എന്റെ ബ്ലാക്ക്ബെറി ഉബുണ്ടുവില്‍ ഇന്റര്‍ നെറ്റ് ടിതര്‍ ചെയ്യിക്കണം.

    സത്യത്തില്‍ രണ്ടാമത് എഴുതിയതിന്‍ പ്രധമ പരിഗണന കൊടുത്തിരിക്കുന്നു!

    എന്തെങ്കിലും വഴി കണ്ടുപിടിച്ചു തരണം എന്ന് അപേക്ഷ…

    • Johnny
    • May 27th, 2011 1:10am

    Hello, thank u for the tutorial.
    I followed it and maya works fine but composite doesn’t work, when I run it, i can see this error:

    Exception encountered: Cannot determine a product license to use.
    Exception encountered: [Exception Type = N2Dl11LcLicenseEx16ExCantGetLicenseE, File = resmgt/license/src/licenseInit.cpp, Line=757]
    Cannot determine a product license to use.
    00:00:00.21 [Fatal Error ] [Messages ] Cannot determine a product license to use.

    does composite work for you? i’m using a standalone license.

    • അച്ചായന്‍
    • May 28th, 2011 12:47pm

    Hi Johnny,

    I never tried to install composite in my system , I will try to install it and let you know the progress .

    Thanks for visiting my blog.

    • chimeric
    • May 28th, 2011 5:06pm

    Will this work in Ubuntu 11.04?

    • Kurian
    • May 28th, 2011 10:19pm

    Yes I think it will work with ubuntu 11.04 too

    • Johnny
    • May 29th, 2011 12:36am

    thank you very much!
    I think there’s some problem with file permissions and paths. rpm, while installing, should run etc/configure.py to create composite-env.sh, composite-env.csh and txrender.sh.rpm should also run toolkitinstall.sh but path is wrong in my case. if I run configure.py it will not create toxik.ini, for example (wrong permissions).
    I still have the same error when I run composite.

    • barx
    • May 31st, 2011 6:45am

    The crack doesnt worked for me 🙁

    • അച്ചായന്‍
    • June 1st, 2011 1:11pm

    Can you tell me what error you got ?

    • 3d-gang
    • June 6th, 2011 1:47am

    Hi, I am trying to install it on ubuntu 11.04 and I am not able to complete step 10, 12, 13. I did figure out that you are trying to copy same lib file from extract files and i did it. But in the end when i am running maya, i am getting this message:

    /usr/autodesk/maya2012-x64/bin$ ./maya2012
    bash: ./maya2012: /bin/csh: bad interpreter: No such file or directory

    Can you help?

    • ofux
    • June 6th, 2011 3:36pm

    How do you install Craft Tools?.
    Thanks

    • ofux
    • June 7th, 2011 12:29pm

    you have crack for Craft tools? thx.

    • gustav777
    • June 9th, 2011 2:26am

    I have error after step 10.

    root@marko-System-Product-Name:/home/marko# sh -c “echo ‘setenv LC_ALL en_US.UTF-8′ >> /usr/autodesk/maya2012-x64/bin/maya2012″
    ‘setenv: 1: “echo: not found

    Where is setenv?

    • അച്ചായന്‍
    • June 9th, 2011 11:28am

    please run this command before starting maya apt-get install tcsh ia32-libs then it will fix the issue

    • അച്ചായന്‍
    • June 9th, 2011 11:32am

    extact craftdirectorstudio_11.1.2_installer_maya2012promo.tar.gz

    then run this commands on that folder

    tar xzf packets/core.tar.gz -C /usr/local
    tar xzf packets/adaptor_maya2012.tar.gz -C /usr/autodesk/maya2012-x64

    • gustav777
    • June 9th, 2011 11:34am

    I try but cant find that package

    root@marko-System-Product-Name:/home/marko# apt-get install tcsh ia32-libs
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package ia32-libs

    Where iz located?

    • അച്ചായന്‍
    • June 9th, 2011 11:34am

    run this command before doing next steps then your problem will be solved 🙂 apt-get install tcsh ia32-libs

    • gustav777
    • June 9th, 2011 11:37am

    I try but cant find that package

    root@marko-System-Product-Name:/home/marko# apt-get install tcsh ia32-libs
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Unable to locate package ia32-libs

    Where iz located?@അച്ചായന്‍

    • gustav777
    • June 9th, 2011 11:57am

    @gustav777
    I use Ubuntu 10.10 32bit.

    • 3d-gang
    • June 11th, 2011 10:32pm

    I tried to install tcsh ia32-libs and after that when i start maya, I am getting following error:

    /usr/autodesk/maya2012-x64/bin/maya.bin: error while loading shared libraries: libtiff.so.3: cannot open shared object file: No such file or directory

    • barx
    • June 13th, 2011 4:00am

    Ah sorry. I was using Maya 2012 crack for Maya 2011 😛

    • അച്ചായന്‍
    • June 13th, 2011 9:17am

    ln -sl /usr/lib32/libtiff.so /usr/lib32/libtiff.so.3 🙂

    • അച്ചായന്‍
    • June 13th, 2011 9:18am

    still you facing this issue ?

    • Thales
    • June 13th, 2011 12:31pm

    How I set the maya icon? It’s not showing.

    • അച്ചായന്‍
    • June 13th, 2011 1:24pm

    http://www.ubuntugeek.com/howto-add-entries-in-gnome-menu.html follow this to create menu items ..

    Graphics – > new iteam and command is /usr/autodesk/maya2012-x64/bin/maya2012

    • 3d-gang
    • June 13th, 2011 4:28pm

    @അച്ചായന്‍
    I tried it but still the same error message regarding libtiff.so.3

    Is there any way to fix it. I guess maya is refereing to old libs here and Ubuntu 11.04 comes with newer version. Simlink is not working. 🙁

    • അച്ചായന്‍
    • June 14th, 2011 11:17am

    then please try this

    ln -sl /usr/lib32/libtiff.so/usr/autodesk/maya2012-x64/lib/libtiff.so.3

    • 3d-gang
    • June 18th, 2011 7:41am

    @അച്ചായന്‍
    Thanks for your help but i got another thread on net which had whole thing to install maya on ubuntu as script and that worked for me.

    • Barx
    • June 24th, 2011 11:19pm

    Do you know what am I doing wrong?

    The first time I installed Maya this version I had no problem, worked as a charm.

    This time no matter how I follow the steps, the crack and everything seems not to work

    The error I got is:

    maya: License was not obtained
    Tried Maya 2012 (657D1 2012.0.0.F), error 41

    and the mistakes I got when i try this steps

    14 : /usr/autodesk/maya2012-x64/bin/adlmreg -i S 657D1 657C1 2011.0.0.F 666-42943644 /var/opt/Autodesk/Adlm/Maya2012/MayaConfig.pit

    Failed for 13 reasons

    ./adlmreg -u N 657D1 2012.0.0.F

    Failed for 24 reasons

    what do you recomend me? What to erase? Is there another crack :S?

    • Barx
    • June 25th, 2011 12:06am

    you know your line

    14 : /usr/autodesk/maya2012-x64/bin/adlmreg -i S 657D1 657C1 2011.0.0.F 666-42943644 /var/opt/Autodesk/Adlm/Maya2012/MayaConfig.pit

    I’ve changed to 2012.0.0.F

    then I got Registration Succeeded.

    but not working already xD

    • അച്ചായന്‍
    • June 25th, 2011 12:58pm

    Hey hey good to know that you found the solution for registration and I think you can go to maya bin folder and load Maya2012 sh file then everything should work

    • barx
    • June 26th, 2011 9:21pm

    Install csh

    sudo apt-get install csh
    @3d-gang

    • barx
    • June 26th, 2011 9:24pm

    o__o Damn . . . I reinstalled ubuntu and trying to follow the tutorial again downloading downloading the fresh hotfix 1 to avoid any mistakes. If I got the same i’ll do the step you menttione me@അച്ചായന്‍

    • barx
    • June 27th, 2011 2:23am

    I did a clean installation of Ubuntu 10.1o and worked.

    Also I have installed in ubuntu 11.04 and the libtiff.so.3 was giving me some troubles.

    The way to resolve that is in this way:

    On ubuntu 10,10:

    ln -s ‘/usr/lib/libtiff.so.4.3.3’ /usr/lib/libtiff.so.3

    On ubuntu 11.04

    ln -s ‘/usr/lib/x86_64-linux-gnu/libtiff.so.4.3.3’ /usr/lib/libtiff.so.3

    The steps are the same as in your tutorial 🙂

    • skwigi
    • July 10th, 2011 1:55am

    Hi guys!
    I did all the steps and i still get this!

    maya: License was not obtained
    Tried Maya 2012 (657D1 2012.0.0.F), error 2

    License method:
    environment variable MAYA_LICENSE_METHOD=’standalone’

    Product choice:
    environment variable MAYA_LICENSE=’unlimited’

    License file override:
    environment variable MAYA_ALT_EN is not set

    any leads on how to fix that?
    Im on ubuntu 11.04 x64
    thx

    • mczen
    • July 11th, 2011 6:09pm

    Hmmm…..

    12 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmPIT.so.4 /usr/lib
    13 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmPIT.so.4 /usr/lib

    Maybe you mind

    12 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmPIT.so.4 /usr/lib
    13 : cp /tmp/autodesk_maya_2012_hotfix1_linux_64bit/libadlmutil.so.4 /usr/lib

    • mauricio
    • July 12th, 2011 1:49am

    Help, when I run ./maya2012 I got this error

    maya: License was not obtained
    Tried Maya 2012 (657D1 2012.0.0.F), error 2

    License method:
    environment variable MAYA_LICENSE_METHOD=’standalone’

    Product choice:
    environment variable MAYA_LICENSE=’unlimited’

    License file override:
    environment variable MAYA_ALT_EN is not set

    Please help

    • അച്ചായന്‍
    • July 13th, 2011 5:57am

    @skwigi
    @mauricio
    From 14 can you do one more time ? there was a mistake and its fixed

    /usr/autodesk/maya2012-x64/bin/adlmreg -i S 657D1 657C1 2012.0.0.F 666-42943644 /var/opt/Autodesk/Adlm/Maya2012/MayaConfig.pit

    After that it should work.

    Thanks

    • mauricio
    • July 13th, 2011 11:30pm

    @അച്ചായന്‍
    Not work for me 🙁

    • ScumFuck
    • July 21st, 2011 12:51am

    to all trying to use composite:::

    i’m running debian squeeze (ubuntu’s father)

    i installed using http://www.ubuntugeek.com/howto-install-maya-matchmover-and-toxic-2011-on-linux-64-bit-ubuntu-10-04.html

    composite said “could not find product license” or whatever

    i cd’d to /usr/autodesk/Composite_2012/bin

    then did sudo ./composite-env.sh && ./composite.csh

    got it running!

    • dan
    • July 22nd, 2011 2:10am

    /usr/autodesk/maya2012-x64/bin/maya.bin: error while loading shared libraries: libadlmint.so.4: cannot open shared object file: No such file or directory

    Won’t run unless I us sudo maya. this seems wrong. Ho do I fix this error.
    Thanks

    • Cled
    • July 22nd, 2011 5:38am

    When I get to Step 11 I get:

    1: Syntax error: Unterminated quoted string

    (FYI on step 10 I tried cutting/pasting from this site but the quotations were all messed up.. not sure if that has any effect on step 11 or not.)

    Please help 🙁

    • Cled
    • July 22nd, 2011 6:35am

    I’m an idiot.. thought I had 64bit Ubuntu installed but I don’t.

    • aex
    • August 13th, 2011 6:42pm

    did anyone get a solution for the license problem. i still get

    License method:
    environment variable MAYA_LICENSE_METHOD=’standalone’

    Product choice:
    environment variable MAYA_LICENSE=’unlimited’

    License file override:
    environment variable MAYA_ALT_EN is not set

    when launching maya

    • ghilly
    • August 27th, 2011 10:53pm

    Hi, I’ve followed the guide without errors till the end, but when I try to start maya I have this error:
    Error: default temp directory /usr/tmp does not have write permissions.
    license problem in GUI mode launch dialog message
    maya: License was not obtained
    Tried Maya 2012 (657D1 2012.0.0.F), error 2

    License method:
    environment variable MAYA_LICENSE_METHOD=’standalone’

    Product choice:
    environment variable MAYA_LICENSE=’unlimited’

    License file override:
    environment variable MAYA_ALT_EN is not set

    I’m running ubuntu 11.04
    any solution?
    thanks

    • Jonathan Torres
    • August 30th, 2011 9:52am

    Good forum, but perhaps a an instructional video would’ve been a better choice, That way people can see exactly what you are doing in real time and see any mistakes they are making and how to fix them :/

    • Jonathan Torres
    • August 30th, 2011 10:00am

    Also I keep getting an error message that says could not launch rpm executable 🙁

    • silens
    • September 9th, 2011 9:50pm

    In line 13 you mean libadlmutil.so.4, right?

  1. No trackbacks yet.

*